Bug 256198 - sysutils/fusefs-ntfs: delete obsolete patch to device.c
Summary: sysutils/fusefs-ntfs: delete obsolete patch to device.c
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-27 15:10 UTC by Alan Somers
Modified: 2022-05-25 01:50 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)


Attachments
Remove the obsolete patch (1.70 KB, patch)
2021-05-27 15:10 UTC, Alan Somers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2021-05-27 15:10:35 UTC
Created attachment 225318 [details]
Remove the obsolete patch

patch-libntfs-3g__device.c is redundant.  Its content has already been incorporated upstream in https://github.com/tuxera/ntfs-3g/commit/ad53f4c24af841f2c533bef49d81d20bbf2fd24f .  The patch still applies, but it generates duplicate blocks of code.  It can be deleted.
Comment 1 Fernando Apesteguía freebsd_committer 2021-06-03 05:59:20 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 commit-hook freebsd_committer 2022-05-24 01:54:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f3c7a7686768351238894670b203c28526d247c1

commit f3c7a7686768351238894670b203c28526d247c1
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2022-05-24 01:52:14 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2022-05-24 01:52:14 +0000

    sysutils/fusefs-ntfs: prune two obsolete patches from the port

    They still apply, but serve no purpose now, and can be deleted.

    PR:     256198, 256201

 .../files/patch-libntfs-3g__device.c (gone)        | 56 ----------------------
 .../files/patch-src__lowntfs-3g.c (gone)           | 17 -------
 2 files changed, 73 deletions(-)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2022-05-25 01:50:55 UTC
^Triage: Assign to committer that resolved